#ifndef Registry_H
#define Registry_H

//----------( Registry Exports )------
int DeleteRegistryValue(HKEY, LPCTSTR, LPCTSTR);

int CreateRegistryKey(HKEY, LPCTSTR);
int DeleteRegistryKey(HKEY, LPCTSTR);

int Set_BinaryRegistryValue(HKEY, LPCTSTR, LPCTSTR, PVOID, DWORD);
int Get_BinaryRegistryValue(HKEY, LPCTSTR, LPCTSTR, PVOID, DWORD&);

int Set_DWORDRegistryValue(HKEY, LPCTSTR, LPCTSTR, DWORD);
int Get_DWORDRegistryValue(HKEY, LPCTSTR, LPCTSTR, DWORD&);

int Set_StringRegistryValue(HKEY, LPCTSTR, LPCTSTR, LPCTSTR);
int Get_StringRegistryValue(HKEY, LPCTSTR, LPCTSTR, LPTSTR, DWORD&);

///////////////////////////////////////////////////////////////////////////////////////////

typedef DWORD (__stdcall* SHDELKEYPROC)(HKEY, LPCTSTR);

///////////////////////////////////////////////////////////////////////////////////////////
#endif

